<!DOCTYPE html>
<html lang="en">
  <head>
    <title>UserData Class Reference</title>
    <link rel="stylesheet" type="text/css" href="../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../js/jquery.min.js" defer></script>
    <script src="../js/jazzy.js" defer></script>
    
  </head>
  <body>
    <a name="//apple_ref/swift/Class/UserData" class="dashAnchor"></a>
    <a title="UserData Class Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../index.html"> Docs</a> (90% documented)</p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../index.html"> Reference</a>
        <img id="carat" src="../img/carat.png" />
        UserData Class Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Classes/AppDelegate.html">AppDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/BackgroundController.html">BackgroundController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/CoreDataManager.html">CoreDataManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/CurrencyController.html">CurrencyController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/CurrencyRate.html">CurrencyRate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/CurrencyRateManager.html">CurrencyRateManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/CurrencyRatePack.html">CurrencyRatePack</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/CurrencyRatePackParser.html">CurrencyRatePackParser</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ExchangeController.html">ExchangeController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ExchangeModelManager.html">ExchangeModelManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/FromCurrencyController.html">FromCurrencyController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/FromCurrencyPageController.html">FromCurrencyPageController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/NetworkManager.html">NetworkManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/NetworkManager/NetworkManagerError.html">– NetworkManagerError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ToCurrencyController.html">ToCurrencyController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ToCurrencyPageController.html">ToCurrencyPageController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/UserData.html">UserData</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Enums.html">Enums</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Enums/CurrencyType.html">CurrencyType</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/RequestResult.html">RequestResult</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Extensions/NSManagedObject.html">NSManagedObject</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Functions.html">Functions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Functions.html#/s:F15testApplication8debugLogFTSS4fileVs12StaticString8functionS0_4lineSi_T_">debugLog(_:file:function:line:)</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Protocols/CurrencyControllerDelegate.html">CurrencyControllerDelegate</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>UserData</h1>
              <div class="declaration">
                <div class="language">
                  <pre class="highlight"><code><span class="kd">class</span> <span class="kt">UserData</span><span class="p">:</span> <span class="kt">NSManagedObject</span></code></pre>

                </div>
              </div>
            <p>UserData** is a subclass of <strong>NSManagedObject</strong>. It keeps information about user&rsquo;s amount of money. THere could be only one <strong>UserData</strong>-object in managed object context.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:vC15testApplication8UserData8moneyUSDCSo15NSDecimalNumber"></a>
                    <a name="//apple_ref/swift/Property/moneyUSD" class="dashAnchor"></a>
                    <a class="token" href="#/s:vC15testApplication8UserData8moneyUSDCSo15NSDecimalNumber">moneyUSD</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Amount of USD in cents.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">var</span> <span class="nv">moneyUSD</span><span class="p">:</span> <span class="kt">NSDecimalNumber</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:vC15testApplication8UserData8moneyEURCSo15NSDecimalNumber"></a>
                    <a name="//apple_ref/swift/Property/moneyEUR" class="dashAnchor"></a>
                    <a class="token" href="#/s:vC15testApplication8UserData8moneyEURCSo15NSDecimalNumber">moneyEUR</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Amount of EUR in cents.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">var</span> <span class="nv">moneyEUR</span><span class="p">:</span> <span class="kt">NSDecimalNumber</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:vC15testApplication8UserData8moneyGBPCSo15NSDecimalNumber"></a>
                    <a name="//apple_ref/swift/Property/moneyGBP" class="dashAnchor"></a>
                    <a class="token" href="#/s:vC15testApplication8UserData8moneyGBPCSo15NSDecimalNumber">moneyGBP</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Amount of GBP in pences.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">var</span> <span class="nv">moneyGBP</span><span class="p">:</span> <span class="kt">NSDecimalNumber</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FC15testApplication8UserData15awakeFromInsertFT_T_"></a>
                    <a name="//apple_ref/swift/Method/awakeFromInsert()" class="dashAnchor"></a>
                    <a class="token" href="#/s:FC15testApplication8UserData15awakeFromInsertFT_T_">awakeFromInsert()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">UserData</span><span class="p">:</span> <span class="kt">NSManagedObject</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FC15testApplication8UserData16moneyForCurrencyFOS_12CurrencyTypeCSo15NSDecimalNumber"></a>
                    <a name="//apple_ref/swift/Method/moneyForCurrency(_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:FC15testApplication8UserData16moneyForCurrencyFOS_12CurrencyTypeCSo15NSDecimalNumber">moneyForCurrency(_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Gets amount of user&rsquo;s money specified by currency.
- parameter currencyType: type of currency to search for.
- returns: amount of specified money.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">func</span> <span class="nf">moneyForCurrency</span><span class="p">(</span><span class="n">_</span> <span class="nv">currencyType</span><span class="p">:</span> <span class="kt"><a href="../Enums/CurrencyType.html">CurrencyType</a></span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">NSDecimalNumber</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>currencyType</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>type of currency to search for.</p>

                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                      <div>
                        <h4>Return Value</h4>
                        <p>amount of specified money.</p>

                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FC15testApplication8UserData8exchangeFT12fromCurrencyOS_12CurrencyType9fromValueCSo15NSDecimalNumber10toCurrencyS1_7toValueS2__T_"></a>
                    <a name="//apple_ref/swift/Method/exchange(fromCurrency:fromValue:toCurrency:toValue:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:FC15testApplication8UserData8exchangeFT12fromCurrencyOS_12CurrencyType9fromValueCSo15NSDecimalNumber10toCurrencyS1_7toValueS2__T_">exchange(fromCurrency:fromValue:toCurrency:toValue:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Makes an <strong>non-safety</strong> exchange-operation of user&rsquo;s money.
- parameter fromCurrency: currencyType to sell.
- parameter fromValue: amount of money to cell.
- parameter toCurrency: currencyType to buy.
- parameter toValue: amount of money to buy.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">func</span> <span class="nf">exchange</span><span class="p">(</span><span class="nv">fromCurrency</span><span class="p">:</span> <span class="kt"><a href="../Enums/CurrencyType.html">CurrencyType</a></span><span class="p">,</span> <span class="nv">fromValue</span><span class="p">:</span> <span class="kt">NSDecimalNumber</span><span class="p">,</span> <span class="nv">toCurrency</span><span class="p">:</span> <span class="kt"><a href="../Enums/CurrencyType.html">CurrencyType</a></span><span class="p">,</span> <span class="nv">toValue</span><span class="p">:</span> <span class="kt">NSDecimalNumber</span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>fromCurrency</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>currencyType to sell.</p>

                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>fromValue</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>amount of money to cell.</p>

                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>toCurrency</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>currencyType to buy.</p>

                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>toValue</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>amount of money to buy.</p>

                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:ZFC15testApplication8UserData8userDataFT9inContextCSo22NSManagedObjectContext_S0_"></a>
                    <a name="//apple_ref/swift/Method/userData(inContext:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:ZFC15testApplication8UserData8userDataFT9inContextCSo22NSManagedObjectContext_S0_">userData(inContext:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Returns <strong>UserData</strong>-object from managed object context. This function inserts <strong>UserData</strong>-object in context if it doesn&rsquo;t exist.
- parameter context: managed object context to search in.
- returns: stored <strong>UserData</strong>-object.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kd">func</span> <span class="nf">userData</span><span class="p">(</span><span class="n">inContext</span> <span class="nv">context</span><span class="p">:</span> <span class="kt">NSManagedObjectContext</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">UserData</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>context</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>managed object context to search in.</p>

                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                      <div>
                        <h4>Return Value</h4>
                        <p>stored -object.</p>

                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:ZFC15testApplication8UserData12fetchRequestFT_GCSo14NSFetchRequestS0__"></a>
                    <a name="//apple_ref/swift/Method/fetchRequest()" class="dashAnchor"></a>
                    <a class="token" href="#/s:ZFC15testApplication8UserData12fetchRequestFT_GCSo14NSFetchRequestS0__">fetchRequest()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">UserData</span><span class="p">:</span> <span class="kt">NSManagedObject</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:vC15testApplication8UserData4uuidSS"></a>
                    <a name="//apple_ref/swift/Property/uuid" class="dashAnchor"></a>
                    <a class="token" href="#/s:vC15testApplication8UserData4uuidSS">uuid</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Unique identificator of UserData record.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">@NSManaged</span> <span class="k">var</span> <span class="nv">uuid</span><span class="p">:</span> <span class="kt">String</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2017 <a class="link" href="" target="_blank" rel="external"></a>. All rights reserved. (Last updated: 2017-01-05)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.7.3</a>, a <a class="link" href="http://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
